IP.Content 2.3.1 невозможно установить на IPB 3.3 - Дизайн и модификация Invision Power Board

Перейти к содержимому

 

Правила раздела

Здесь обсуждаются вопросы только по IP.Content. Не путайте с IP.Board (!).
Если не знаете, что это такое, пожалуйста, не оффтопьте и обратите внимание на соседние разделы.
Установка и настройка форума IP.Board.
Оформление форума.
Размещение рекламы на форумах.
SEO оптимизация форума.
Техническая поддержка наших скинов и модов.

СвернутьПрикрепленные теги

Теги не найдены

Страница 1 из 1
  • Вы не можете создавать новые темы
  • Вы не можете отвечать в этой теме

IP.Content 2.3.1 невозможно установить на IPB 3.3

#1 Пользователь не на сайте   stud ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 82
  • Регистрация: 06-Апрель 12
  • Репутация: 0
  • IPB version:3.3.x
 

Отправлено 08 Апрель 2012 - 14:42

Закачал на сервер в форум все что было в папке upload от ИП.Контента. В админ-панели, как обычно иду в Applications & Modules, там жму инсталл ИП.Контента. И дальше сам процесс инстала выглядит совсем не так, как инстал галереи или блога или, вообще, чего угодно. Я попадаю в "Welcome to the upgrade system." где вижу все то, что видел при установки самого форума. Дальше мне говорят, что у меня уже установлен Content 1.0.1 (я его не устанавливал) и предлагают Upgrade to 2.3.1. Дальше требуют, чт бы я при установке, начал вручную создавать в базе таблицы. Ок, начинаю это делать. На определенном этапе установка заканчивается вот этим:
There appears to be an error with the database. Все.
Когда устанавливал ИП.Контент первый раз - такого не был, он установился нормально, как и галерея, как и блог. Без всей этой мути.
В чем может быть проблема?
0

#2 Пользователь не на сайте   Ritsuka ответил: »

 
 
  • ***
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 1 908
  • Регистрация: 08-Июнь 09
  • Репутация: 538
  • IPB version:3.4.x
 

Отправлено 08 Апрель 2012 - 22:50

Цитата

Дальше мне говорят, что у меня уже установлен Content 1.0.1

Следовательно, есть такая запись в таблице истории установок. Следовательно, либо на этот форум уже устанавливали IP.Content 1.0.1, либо это какой-то очень подозрительный дистрибутив. Просто так запускать мастер обновления форум не станет)

Цитата

Дальше требуют, чт бы я при установке, начал вручную создавать в базе таблицы

Не бывает такого, бывает опциональный вариант ручного выполнения запросов на случай, если у вас очень большая база, но это не обязательное условие.

Цитата

There appears to be an error with the database. Все.

/cache/sql_error*
0

#3 Пользователь не на сайте   stud ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 82
  • Регистрация: 06-Апрель 12
  • Репутация: 0
  • IPB version:3.3.x
 

Отправлено 09 Апрель 2012 - 09:37

Просмотреть сообщениеRitsuka 08 Апрель 2012 - 22:50 сказал(а):

Следовательно, есть такая запись в таблице истории установок. Следовательно, либо на этот форум уже устанавливали

Applications & Modules > Manage Applications & Modules > Управление приложениями. Там, в таблице "Установленые приложения" нету Content 1.0.1 :( Там никакого Content нету
Дистрибутив с IP.Content 2.3.1 в первый раз нормально установился)
Я вот думаю, вирусы не могли запортить/что-то удалить из этого архива?

Просмотреть сообщениеRitsuka 08 Апрель 2012 - 22:50 сказал(а):

Не бывает такого, бывает опциональный вариант ручного выполнения запросов на случай, если у вас очень большая база, но это не обязательное условие.

В установке: Upgrade Options. Show me manual upgrade steps for SQL queries to prevent PHP page timeouts. WARNING: If you select this option, you will be shown SQL queries that you must run at your mysql command line. If you are not comfortable doing this, please submit a ticket and our technicians will assist you, or contact your webhost for assistance.
Но даже если я не выбираю этот пункт, установка все равно заканчивается ошибкой дб.

Просмотреть сообщениеRitsuka 08 Апрель 2012 - 22:50 сказал(а):

/cache/sql_error*

Error: 1062 - Duplicate entry 'generic_database_view' for key 'template_key'
mySQL query error: INSERT INTO ccs_page_templates (`template_name`,`template_desc`,.....и там дальше этот запрос длиной в километр

0

#4 Пользователь не на сайте   Ritsuka ответил: »

 
 
  • ***
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 1 908
  • Регистрация: 08-Июнь 09
  • Репутация: 538
  • IPB version:3.4.x
 

Отправлено 09 Апрель 2012 - 11:22

Цитата

Applications & Modules > Manage Applications & Modules > Управление приложениями. Там, в таблице "Установленые приложения" нету Content 1.0.1 :( Там никакого Content нету

Предыдущие установки фиксируются в таблице upgrade_history. Там проверяйте.

Когда добьетесь того, что приложение перестанет определяться как уже установленное (чисткой записей в upgrade_history), то просто запустите установку с удалением старых таблиц, и эти ошибки, скорее всего, не возникнут.

Цитата

Duplicate entry 'generic_database_view' for key 'template_key'

Шаблоны контента уже установлены на форуме. Уже на 100% очевидно, что у вас есть либо не законченная, либо поломанная установка контента.

Если и после переключения с режима обновления на режим чистой установки у вас по-прежнему останутся ошибки, то остаются 3 варианта:
а) если установка чистая/форум тестовый - переустановить форум с нуля на чистую базу, сверху ставить контент,
б) если форум "боевой" - либо нанять специалиста, либо (если вы понимаете в SQL) проделать самостоятельно: смотреть, какие именно ошибки возникают по ходу обновления, исправлять их прямо "наживую" в базе и продолжать обновление по F5,
в) обратиться в саппорт, который проделает то же самое из (б).

Работа на 5 минут для разбирающегося человека.
0

#5 Пользователь не на сайте   stud ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 82
  • Регистрация: 06-Апрель 12
  • Репутация: 0
  • IPB version:3.3.x
 

Отправлено 09 Апрель 2012 - 13:05

Просмотреть сообщениеRitsuka 09 Апрель 2012 - 11:22 сказал(а):

Когда добьетесь того, что приложение перестанет определяться как уже установленное (чисткой записей в upgrade_history), то просто запустите установку с удалением старых таблиц, и эти ошибки, скорее всего, не возникнут.
Шаблоны контента уже установлены на форуме. Уже на 100% очевидно, что у вас есть либо не законченная, либо поломанная установка контента.

Удалил в таблице upgrade_history все записи ccs.
Может удалить вручную все таблицы с префикосм ccs_ ?
Просто, после чистки upgrade_history от ccs записей при установке всеравно окно обновления выскакивает, вместо чистой установки.
0

#6 Пользователь не на сайте   stud ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 82
  • Регистрация: 06-Апрель 12
  • Репутация: 0
  • IPB version:3.3.x
 

Отправлено 09 Апрель 2012 - 16:07

Проблму решил простым удалением всех таблиц из бд. Хотя так и не понял, почему удаление всех записей ccs из таблицы upgrade_history так и не помогло.
0

Сообщить об этой теме:


Страница 1 из 1
  • Вы не можете создавать новые темы
  • Вы не можете отвечать в этой теме

1 пользователей читают эту тему
0 зарегистрированных, 1 гостей, 0 скрытых


Контактная информация

Вопросы по работе сайта

+7 (917) 501-4765
C 10 до 20 в рабочие дни (время московское)

Техническая поддержка

Контактные данные специалистов

Дизайн форумов

IPB 3.x ¦ IPB 2.x

Бесплатные шаблоны

IPB 3.2 – 3.4 ¦ IPB 3.1 ¦ IPB 3.0 ¦ IPB 2.2 – 2.3 ¦ IPB 2.1 ¦ Клипарт
Лицензия на использование ¦ Ваша поддержка ¦ О проекте
Copyright © 2005-2018 IPBSkins.ru Team
При копировании материалов с сайта
прямая ссылка на источник обязательна